com.h3c.of.lib.err

## Enum ECodeBadInstruction

- java.lang.Object
- - java.lang.Enum<ECodeBadInstruction>
  - - com.h3c.of.lib.err.ECodeBadInstruction

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeBadInstruction>

      public enum ECodeBadInstruction
      extends Enum<ECodeBadInstruction>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.BAD_INSTRUCTION` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_EXP_TYPE` Unknown instruction for experimenter ID; Since 1.1.
    `BAD_EXPERIMENTER` Unknown experimenter ID specified; Since 1.2.
    `BAD_LEN` Length problem in instructions; Since 1.2.
    `BAD_TABLE_ID` Invalid table ID specified; Since 1.1.
    `EPERM` Permissions error; Since 1.2.
    `UNKNOWN_INST` Unknown instruction; Since 1.1.
    `UNSUP_INST` Switch or table does not support the instruction; Since 1.1.
    `UNSUP_METADATA` Metadata value unsupported by datapath; Since 1.1.
    `UNSUP_METADATA_MASK` Metadata mask value unsupported by datapath; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeBadInstruction code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeBadInstruction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeBadInstruction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_INST

          public static final ECodeBadInstruction UNKNOWN_INST

      Unknown instruction; Since 1.1.

    - #### UNSUP_INST

          public static final ECodeBadInstruction UNSUP_INST

      Switch or table does not support the instruction; Since 1.1.

    - #### BAD_TABLE_ID

          public static final ECodeBadInstruction BAD_TABLE_ID

      Invalid table ID specified; Since 1.1.

    - #### UNSUP_METADATA

          public static final ECodeBadInstruction UNSUP_METADATA

      Metadata value unsupported by datapath; Since 1.1.

    - #### UNSUP_METADATA_MASK

          public static final ECodeBadInstruction UNSUP_METADATA_MASK

      Metadata mask value unsupported by datapath; Since 1.1.

    - #### BAD_EXPERIMENTER

          public static final ECodeBadInstruction BAD_EXPERIMENTER

      Unknown experimenter ID specified; Since 1.2.

    - #### BAD_EXP_TYPE

          public static final ECodeBadInstruction BAD_EXP_TYPE

      Unknown instruction for experimenter ID; Since 1.1. (Renamed from `UNSUP_EXP_INST` at 1.2.)

    - #### BAD_LEN

          public static final ECodeBadInstruction BAD_LEN

      Length problem in instructions; Since 1.2.

    - #### EPERM

          public static final ECodeBadInstruction EPERM

      Permissions error; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeBadInstruction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeBadInstruction c : ECodeBadInstruction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeBadInstruction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeBadInstruction code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.